<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="data"
            type="com.example.writeepc.InfoData" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".MainActivity">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="20dp"

            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="设置功率:" />

            <Spinner
                android:id="@+id/select_power"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:entries="@array/power"
                android:textAlignment="center"

               />
        </LinearLayout>

        <Button
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:onClick="setPower"
            android:text="设置功率" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="扫描TID" />

            <TextView
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@={data.readTId}" />
        </LinearLayout>

        <Button
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:onClick="readTid"
            android:text="1-查询TID" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="30dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="写入数据:" />

            <EditText
                android:id="@+id/epc_view"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@={data.epc}" />
        </LinearLayout>

        <TextView
            style="@style/info_text"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="110dp"
            android:text="@{data.writeEpc}" />

        <Button
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:onClick="writeEpc"
            android:text="2-写入数据" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="epc:" />

            <TextView
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@={data.readAscii}" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="扫描epc" />

            <TextView
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@={data.readEpc}" />
        </LinearLayout>

        <Button
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:onClick="readEpc"
            android:text="3-扫描验证" />

    </LinearLayout>
</layout>